package com.huigou.topsun.customer.domain.query;

import com.huigou.data.domain.query.QueryAbstractRequest;
import java.util.Date;

public class CustomerQueryRequest extends QueryAbstractRequest {
    /**
     * 客户id
     */
    private String customerId;

    /**
     * 客户编码
     */
    private String customerCode;

    /**
     * 客户全称
     */
    private String customerName;

    /**
     * 客户简称
     */
    private String customerShortName;

    /**
     * 客户工作时间
     */
    private Date customerWorkTime;

    /**
     * 客户英文名称
     */
    private String customerEnName;

    /**
     * 客户英文名称简称
     */
    private String customerEnShortName;

    /**
     * 省份编码
     */
    private String provinceId;

    /**
     * 客户等级
     */
    private String customerLevel;

    /**
     * 工厂代号
     */
    private String customerFactoryCode;

    /**
     * 地址
     */
    private String customerAddress;

    /**
     * 所属集团
     */
    private String customerGroup;

    /**
     * 邮编
     */
    private String customerZipCode;

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerShortName() {
        return customerShortName;
    }

    public void setCustomerShortName(String customerShortName) {
        this.customerShortName = customerShortName;
    }

    public Date getCustomerWorkTime() {
        return customerWorkTime;
    }

    public void setCustomerWorkTime(Date customerWorkTime) {
        this.customerWorkTime = customerWorkTime;
    }

    public String getCustomerEnName() {
        return customerEnName;
    }

    public void setCustomerEnName(String customerEnName) {
        this.customerEnName = customerEnName;
    }

    public String getCustomerEnShortName() {
        return customerEnShortName;
    }

    public void setCustomerEnShortName(String customerEnShortName) {
        this.customerEnShortName = customerEnShortName;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCustomerLevel() {
        return customerLevel;
    }

    public void setCustomerLevel(String customerLevel) {
        this.customerLevel = customerLevel;
    }

    public String getCustomerFactoryCode() {
        return customerFactoryCode;
    }

    public void setCustomerFactoryCode(String customerFactoryCode) {
        this.customerFactoryCode = customerFactoryCode;
    }

    public String getCustomerAddress() {
        return customerAddress;
    }

    public void setCustomerAddress(String customerAddress) {
        this.customerAddress = customerAddress;
    }

    public String getCustomerGroup() {
        return customerGroup;
    }

    public void setCustomerGroup(String customerGroup) {
        this.customerGroup = customerGroup;
    }

    public String getCustomerZipCode() {
        return customerZipCode;
    }

    public void setCustomerZipCode(String customerZipCode) {
        this.customerZipCode = customerZipCode;
    }
}
